<?xml version="1.0" encoding="UTF-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="hilb">
<info><pubdate>$LastChangedDate$</pubdate></info>
<refnamediv>
<refname>hilb</refname>
<refpurpose>FIR approximation to a Hilbert transform filter</refpurpose>
</refnamediv>
  
  <refsynopsisdiv><title>Calling Sequence</title><synopsis>xh=hilb(n [,wtype [,par]])</synopsis></refsynopsisdiv>
  <refsection><title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>n</term>
        <listitem>
          <para>odd integer : number of points in filter</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>wtype</term>
        <listitem>
          <para>string : window type <literal>('re','tr','hn','hm','kr','ch')</literal> (default <literal>='re'</literal>)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>par</term>
        <listitem>
          <para>window parameter for <literal>wtype='kr' or 'ch'</literal> default <literal>par=[0 0]</literal> see the function window for more help</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>xh</term>
        <listitem>
          <para>Hilbert transform</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection><title>Description</title>
    <para>Returns the first n points of an FIR approximation to a Hilbert transform filter centred around the origin.</para>
    <para> The FIR filter is designed by appropraitely windowing the ideal impulse response 

    <literal>h(n)=(2/(n*pi))*(sin(n*pi/2))^2</literal> for <literal>n</literal> not equal 0 and <literal>h(0)=0</literal>.</para>
    <para>
     An approximation to an analytic signal generator can be built by
     designing an FIR (Finite Impulse Response) filter approximation to
     the Hilbert transform operator. The analytic signal can then be computed
     by adding the appropriately time-shifted real signal to the imaginary
     part generated by the Hilbert filter.     
    </para>
  </refsection>
  <refsection>
    <title>References</title>
    <para>
      <literal><ulink url="http://ieeexplore.ieee.org/iel4/78/7823/00330385.pdf?tp=&amp;arnumber=330385&amp;isnumber=7823">http://ieeexplore.ieee.org/iel4/78/7823/00330385.pdf?tp=&amp;arnumber=330385&amp;isnumber=7823</ulink></literal>
    </para>
    <para>
      A. Reilly, G. Frazer, and B. Boashash, "Analytic signal generation Tips and traps", IEEE Trans. Signal Processing, vol. 42,
      pp.3241-3245, Nov. 1994. 
    </para>
 
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="window">window</link>
      </member>
      <member>
        <link linkend="hilbert">hilbert</link>
      </member>
    </simplelist>
  </refsection>
  <refsection><title>Examples</title>
  <programlisting role="example"><![CDATA[ 
plot(hilb(51))
 ]]></programlisting></refsection>
  <refsection>
<title>Authors</title>
  <para>C. B.  </para></refsection>
</refentry>
